Start e-invoicing onboarding
https://api.light.inc/v1/einvoicing/onboardings
Starts the registration of a company entity on an e-invoice network.
Permission: integrations:create (COMPANY_ADMIN)
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Headers
-
X-Idempotency-Keystring
Request body
application/json;charset=UTF-8
-
companyEntityIdstring · uuid -
networkstringrequired⚠️ This enum is not exhaustive; new values may be added in the future.
One of
DE_EMAILFINVOICEFR_PAMYDATANEMHANDELPEPPOLPORTUGUESE_TAX_REPORTINGSDISIIVERIFACTU -
sendingOnlyboolean
Response
-
idstring · uuid -
companyEntityIdstring · uuid -
networkstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
DE_EMAILFINVOICEFR_PAMYDATANEMHANDELPEPPOLPORTUGUESE_TAX_REPORTINGSDISIIVERIFACTU -
sendingOnlybooleanTrue when the entity only sends e-invoices on the network
-
statusstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
CREATEDPENDING_VERIFICATIONREGISTRATION_PENDINGREGISTRATION_COMPLETEDREGISTRATION_FAILED -
easCodestring -
einvoiceAddressstring -
failureContextobjectFailure context when vendor onboarding fails.
-
namestringThe error name
-
typestringThe error type
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
BAD_REQUESTUNAUTHORIZEDFORBIDDENNOT_FOUNDCONFLICTUNPROCESSABLE_CONTENT -
errorsarray of objectList of errors providing details about what went wrong
-
typestringA string code identifying the error type
-
messagestringA human-readable message providing more details about the error
-
patharray of stringOptional path of the error when the error is for a specific field. Used mostly on BAD_REQUEST errors, that path will match the field name on the request object
-
contextobjectOptional context providing additional information about the error. This can include any relevant data that might help in understanding or resolving the error
-
-
-
createdAtstring · date-time